Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts
[Java] Interface ProjectDependency

    org.gradle.api.Buildable
      org.gradle.api.artifacts.SelfResolvingDependency
          org.gradle.api.artifacts.Dependency
              org.gradle.api.artifacts.ProjectDependency
                  org.gradle.plugins.ide.idea.model.ModuleDependency

All Superinterfaces:
  Buildable, SelfResolvingDependency, Dependency, ModuleDependency

    @HasInternalProtocol
    public interface ProjectDependency
    extends ModuleDependency, SelfResolvingDependency

A `ProjectDependency` is a Dependency on another project in the current project hierarchy.

Field Summary

Fields inherited from interface Dependency
ARCHIVES_CONFIGURATION, CLASSIFIER, DEFAULT_CONFIGURATION

Method Summary
`ProjectDependency` | `copy()` {@inheritDoc}
`Project` | `getDependencyProject()` Returns the project associated with this project dependency.
`Configuration` | `getProjectConfiguration()` Returns the configuration associated with this project dependency.

Methods inherited from interface SelfResolvingDependency
resolve, resolve

Methods inherited from class ModuleDependency
addToNode, equals, hashCode, toString

Method Detail

### copy

    public ProjectDependency copy()

  {@inheritDoc}

### getDependencyProject

    public Project getDependencyProject()

  Returns the project associated with this project dependency.

### getProjectConfiguration

    public Configuration getProjectConfiguration()

  Returns the configuration associated with this project dependency. The configuration belongs to the project associated with this project dependency.
  See Also:
    getDependencyProject()

Gradle API 1.10